This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446177 - Printer (Canon iR2020i) only prints one copy when asked to print more
Printer (Canon iR2020i) only prints one copy when asked to print more
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: ff-print-letter
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 04:55 EDT by Răzvan Sandu
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 05:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2008-05-13 04:55:46 EDT
Description of problem:

With not-so-well supported printers (like my networked Canon iR2020i):

The printing dialog presents an option to print more than one copy. In some
cases, the printer simply ignores the setting and prints just one copy.


Version-Release number of selected component (if applicable):
system-config-printer-0.7.82.2-4.fc9.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora 9 (rawhide).
2. Install a "generic" printer (with no specific drivers available), like the
Canon iR2020i via network. 
3. Open a printable Web page in Firefox
4. Print the webpage, requesting more tan one copy.

  
Actual results:
In some cases (but very frequent) printer ignores the request and only prints
one copy.


Expected results:
Printer should print the requested number of copies.
Comment 1 Răzvan Sandu 2008-05-13 04:57:15 EDT
Please see other details at bug #445610
Comment 2 Tim Waugh 2008-05-13 05:51:10 EDT
Unable to reproduce that here.  I'd like you to try to catch some debugging
information about this.  First, enable preservation of print job files like this:

/usr/sbin/cupsctl -U root PreserveJobFiles=Yes

Next, start the troubleshooter (System->Administration->Printing, then select
Help->Troubleshoot) and follow the instructions.  When it asks you to print a
test page, do so from Firefox (obviously, set the number of copies as you do
this), and the print job will show in the list in the troubleshooter window. 
Keep doing this until the bug appears, and mark that job with a tick by clicking
in the checkbox and select 'No' for "Did the test work?".  Then click Next and
carry on following the instructions.

You will most likely end up with a troubleshoot.txt file saved in your home
directory.  Please attach that here.
Comment 3 Răzvan Sandu 2008-05-13 06:51:01 EDT
I've tried to do this, but when I try to print from Firefox, I'm blocked by bug
#445610.

So I cannot print the test pages from Firefox.

Regards,
Răzvan
Comment 4 Tim Waugh 2008-05-13 07:03:39 EDT
Well, how did you ever see this only-one-copy bug in the first place?  You say
in comment #0, "Reproducible: Always".

Can you reproduce this bug at all?
Comment 5 Bug Zapper 2008-05-14 07:05:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Waugh 2008-05-28 05:56:08 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.